org.apache.commons.imaging.formats.tiff

## Class TiffImageData

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.TiffImageData

- Direct Known Subclasses:
    TiffImageData.Strips, TiffImageData.Tiles

      public abstract class TiffImageData
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TiffImageData.ByteSourceData`
    `static class` | `TiffImageData.Data`
    `static class` | `TiffImageData.Strips`
    `static class` | `TiffImageData.Tiles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TiffImageData()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ImageDataReader` | `getDataReader(TiffDirectory directory, PhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, ByteOrder byteOrder)`
    `abstract TiffElement.DataElement[]` | `getImageData()`
    `abstract boolean` | `stripsNotTiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TiffImageData

          public TiffImageData()

  - ### Method Detail

    - #### getImageData

          public abstract TiffElement.DataElement[] getImageData()

    - #### stripsNotTiles

          public abstract boolean stripsNotTiles()

    - #### getDataReader

          public abstract ImageDataReader getDataReader(TiffDirectory directory,
                                                        PhotometricInterpreter photometricInterpreter,
                                                        int bitsPerPixel,
                                                        int[] bitsPerSample,
                                                        int predictor,
                                                        int samplesPerPixel,
                                                        int width,
                                                        int height,
                                                        int compression,
                                                        ByteOrder byteOrder)
                                                 throws IOException,
                                                        ImageReadException

      Throws:
        `IOException`
        `ImageReadException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.